[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TCustomDBListBox.UpdateAction

Updates the state for the specified action.

## Declaration

Source position: dbctrls.pp line 377

`public function TCustomDBListBox.UpdateAction(`
`AAction: TBasicAction`
`):Boolean; override;`

## Arguments

`AAction` |  | Action updated in the method.

## Function result

True if the action was updated in the method.

## Description

UpdateAction is an overridden Boolean function used to update the state of the TBasicAction (or descendant) instance in AAction. The return value is True when the action is updated in the method.

UpdateAction calls the inherited method. When the return value is False and a linked dataset is available in the class instance, the UpdateAction method in TFieldDataLink is called to update the action.

## See also

TDataLink.UpdateAction
TDataLink.ExecuteAction
TComponent.UpdateAction
TBasicAction